var globalTimer = null;
var globalTimerTime = 8*60*1000;
var _gaq = _gaq || [];
_gaq.push(['_setAccount', 'UA-5697089-10']);
_gaq.push(['_trackPageview']);

var ga = document.createElement('script');
ga.type = 'text/javascript';
ga.async = true;
ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
var s = document.getElementsByTagName('script')[0];s.parentNode.insertBefore(ga, s);

var storage, fail, uid;
try {
  uid = new Date;
  (storage = window.localStorage).setItem(uid, uid);
  fail = storage.getItem(uid) != uid;
  storage.removeItem(uid);
  fail && (storage = false);
} catch(e) {}

if ( 0 == $("article object").length ) {
	globalTimer = setTimeout('pageRefresh()', globalTimerTime);
	$('body').click(function(e){
		window.clearTimeout(globalTimer);
		globalTimer = setTimeout('pageRefresh()', globalTimerTime);
		return true;
	}).dblclick(function(){
		window.clearTimeout(globalTimer);
	});
}

$(".tip").tipTip({
	defaultPosition: "top",
	delay: 200
});


$("div.sites").append('<span class="active">PCWorld</span> : <a href="http://www.macworld.fr/">Macworld</a> : <a href="http://www.rue-montgallet.com/">Rue-Montgallet</a> : <a href="http://www.rue-hardware.com/">Rue-Hardware</a> : <a href="http://www.achetezle.fr/">AchetezLe</a>');

/**
 * MENU
 */
var currentTab = '';
var navLinks = $("li.tab");
var dropDown = $("#dropdown");
var openMenu = function(){
	clearTimeout(dropDown.data('timeoutId'));
	currentTab = $(this).data("tab");
	navLinks.removeClass("open");
	$(this).addClass("open");
	dropDown.addClass(currentTab).addClass("open");
	/* always load without storage*/
	dropDown.load("/menu/" + currentTab, function() {
		openMenuAction();
	});

	/* with storage but first load
	if ( storage && undefined != storage['menu_' + currentTab + '_content'] && storage['menu_' + currentTab + '_expires'] > new Date().getTime() ) {
		dropDown.html(storage['menu_' + currentTab + '_content']);
		openMenuAction();

	} else {
		dropDown.load("/menu/" + currentTab, function() {
			if ( storage ) {
				storage['menu_' + currentTab + '_content'] = dropDown.html();
				storage['menu_' + currentTab + '_expires'] = new Date().getTime() + 3600*2*1000; // 2 hours
			}
			openMenuAction();
		});
	}
*/
   /* with storage without first load for cats
	if ( 1 == dropDown.find('nav').length && 'univers' == currentTab ) {
		if ( storage && ( undefined == storage['menu_' + currentTab + '_content'] || storage['menu_' + currentTab + '_expires'] < new Date().getTime() ) ) {
			storage['menu_' + currentTab + '_content'] = dropDown.html();
			storage['menu_' + currentTab + '_expires'] = new Date().getTime() + 86400*1000; // 1 day
		}
		openMenuAction();
	} else if ( storage && undefined != storage['menu_' + currentTab + '_content'] && storage['menu_' + currentTab + '_expires'] > new Date().getTime() ) {
		dropDown.html(storage['menu_' + currentTab + '_content']);
		openMenuAction();

	} else {
		dropDown.load("/menu/" + currentTab, function() {
			if ( storage ) {
				storage['menu_' + currentTab + '_content'] = dropDown.html();
				storage['menu_' + currentTab + '_expires'] = new Date().getTime() + 3600*2*1000; // 2 hours
			}
			openMenuAction();
		});
	}
	*/
};
var closeMenu = function(){
	if ( !dropDown.hasClass('hover') ) {
		var timeoutId = setTimeout(function(){
			closeMenuAction();
		}, 1000);
		dropDown.data('timeoutId', timeoutId);
	}
};
var openMenuAction = function() {
	dropDown.slideDown(500, function() { });
};
var closeMenuAction = function() {
	dropDown.removeClass("open").slideUp(500, function() {
		navLinks.removeClass("open");
	});
};
navLinks.hoverIntent(openMenu, closeMenu);
dropDown.hover(function(){
	clearTimeout(dropDown.data('timeoutId'));
	dropDown.addClass("hover");
}, function(){
	dropDown.removeClass("hover");
	closeMenu();
});

/**
*  LE FIL
 */
if ( $(window).height() > 690 && $("#floatingFil").length > 0 ) {
	var $target = $("#floatingFil");
	var topPos = $target.offset().top;
	var bodyHeight = $("body").height();
	$(window).scroll(function(event) {
		if (topPos <= $(this).scrollTop()) {
			$target.addClass("fixed");
			if ( $(window).height() < 800 ) {
				var marginTop = bodyHeight - $(this).scrollTop() - 660;
				marginTop = marginTop < 0 ? marginTop : '0';
				$target.css('margin-top', marginTop);
			}
		} else {
			$target.removeClass("fixed");
		}
	});
}

if ( $("#leFilDocs").length > 0 ) {
	var moreDocsLoaded = moreDocsLoading = 0;
	var scrollbar = $("#leFilDocs");
	scrollbar.jScrollPane({showArrows:true});
	var scrollApi = scrollbar.data('jsp');
	scrollbar.bind('jsp-scroll-y', function(event, scrollPositionY, isAtTop, isAtBottom) {
		if ( isAtBottom ) {
			loadMoreDocs();
		}
	});
	function loadMoreDocs(site)	{
		if ( moreDocsLoaded < 2 && 0 == moreDocsLoading ) {
			moreDocsLoaded++;
			moreDocsLoading++;
			var lastPub = $("#leFilDocs li:last").data('pub');
			$.get('/document/getLeFil', {limit: 50, last: lastPub}, function(data){
				$("#leFilDocs ul").append(data);
				scrollApi.reinitialise();
				if ( undefined != site ) {
					hideDocs(site);
				}
				moreDocsLoading = 0;
			});
		}
	}
	var hideDocs = function(site) {
		$("#leFilDocs li").show();
		if ( undefined != site ) {
			$("#leFilDocs li[class$=" + site + "]").hide();
			$("#leFilDocs li.date").each(function(){
				if ( undefined == $(this).next(':visible').attr('class') ) {
					$(this).hide();
				}
			});
		}
		scrollApi.reinitialise();
	};
	$("#filMw, #filPcw, #filAll").hover(function(){
		$(this).addClass("hover");
	}, function(){
		$(this).removeClass("hover");
	});
	$("#filAll").click(function(){
		$(this).addClass("active");
		$("#filMw, #filPcw").removeClass("active");
		$("#leFilDocs li").show();
		scrollApi.scrollToY(0);
		scrollApi.reinitialise();

	});
	$("#filMw").click(function(){
		$(this).addClass("active");
		$("#filPcw, #filAll").removeClass("active");
		hideDocs('pcworld');
		scrollApi.scrollToY(0);
	});
	$("#filPcw").click(function(){
		$(this).addClass("active");
		$("#filMw, #filAll").removeClass("active");
		hideDocs('macworld');
		scrollApi.scrollToY(0);
	});
 }


function pageRefresh() {
	var test = $("#commentForm textarea").val();
	if ( undefined == test || "" == test ) {
		window.location.reload();
	} else {
		globalTimer = setTimeout('pageRefresh', globalTimerTime);
	}

}

function eventTracker(cat, type, text) {
	_gaq.push(['_trackEvent', cat, type, text]);
	return true;
}

function openToc() {
	$("#toc .container").slideDown(500, 'easeInQuart', function() { });
}

function closeToc() {
	$("#toc .container").slideUp(500, 'easeOutQuart', function() { });
}

function loadComments(id) {
	$("#ajaxComments")
	.html('Chargement des commentaires en cours...<br /><img src="/img/loading.gif" alt="loading" />')
	.load("/document/getComments?id=" + id, function(){$(this).removeClass('loading')});
}

function commentVotePlus(id) {
	$.get('/document/votePlusComment?id=' + id, function(data){
		if ( 'ok' == data ) {
			window.location.reload();
		} else {
			alert(data);
		}
	});
}

function commentReport(id) {
	$.get('/document/reportComment?id=' + id, function(data){
		if ( 'ok' == data ) {
			alert('Votre signalement a été enregistré, merci pour votre vigilance !');
		} else {
			alert(data);
		}
	});
}

function commentQuote(id) {
	var page = 1;
	if ( null != window.location.href.match(/comments=([0-9]+)/) ) {
		page = window.location.href.match(/comments=([0-9]+)/)[1];
	}
	window.location.href = window.location.href.match(/([^\?#]+)/)[1] + '?comments='
		+ page + '&quote=' + id + '#commentForm';
}

function commentEdit(id) {
	var page = 1;
	if ( null != window.location.href.match(/comments=([0-9]+)/) ) {
		page = window.location.href.match(/comments=([0-9]+)/)[1];
	}
	window.location.href = window.location.href.match(/([^\?#]+)/)[1] + '?comments='
		+ page + '&edit=' + id + '#commentForm';
}

function commentDelete(id) {
	if ( confirm("Êtes vous sûr de vouloir effacer ce commentaire ?") ) {
		$.get('/document/deleteComment?id=' + id, function(data){
			if ( 'ok' == data ) {
				window.location.reload();
			} else {
				alert(data);
			}
		});
	}
}

function commentBan(id, userId) {
	window.open('http://intranet.pcworld.fr/user/network/ban?id=' + userId + '&id_Document_Comment=' + id);
}